//Type macros for compatibility: Change these typedefs for your compiler

//64-bit unsigned integer, 0 - (2^64-1)
typedef unsigned long int UInt64;

//32-bit unsigned integer, 0 - (2^32-1)
typedef unsigned int UInt32;

//16-bit unsigned integer, 0 - 65535
typedef unsigned short int UInt16;

//8-bit unsigned integer aka "byte" 0 - 255
typedef unsigned short char UInt8;

//64-bit signed integer
typedef signed long int SInt64;

//32-bit signed integer
typedef signed int SInt32;

//16-bit signed integer
typedef signed short int SInt16;

//8-bit signed integer
typedef signed short char SInt8;




void OpenAIOWDM(void);
void CloseAIOWDM(void);
UInt64 GetNumCards(void);
UInt32 QueryCardInfo(SInt32 CardNum, UInt32 *pDeviceID, UInt32 *pBase);


UInt16 RelInPortB (SInt32 CardNum, UInt16 Offset);
UInt16 RelInPort  (SInt32 CardNum, UInt16 Offset);
UInt32 RelInPortL (SInt32 CardNum, UInt16 Offset);

UInt16 RelOutPortB (SInt32 CardNum, UInt16 Offset, UInt8  Value);
UInt16 RelOutPort  (SInt32 CardNum, UInt16 Offset, UInt16 Value);
UInt16 RelOutPortL (SInt32 CardNum, UInt16 Offset, UInt32 Value);

UInt16 InPortB (SInt32 CardNum, UInt16 Addr);
UInt16 InPort  (SInt32 CardNum, UInt16 Addr);
UInt32 InPortL (SInt32 CardNum, UInt16 Addr);

UInt16 OutPortB(UInt16 Addr, UInt8  Value);
UInt16 OutPort (UInt16 Addr, UInt16 Value);
UInt16 OutPortL(UInt16 Addr, UInt32 Value);

